
# `$ pull-from-source`

 [![PayPal](https://img.shields.io/badge/%24-paypal-f39c12.svg)][paypal-donations] [![AMA](https://img.shields.io/badge/ask%20me-anything-1abc9c.svg)](https://github.com/IonicaBizau/ama) [![Version](https://img.shields.io/npm/v/pull-from-source.svg)](https://www.npmjs.com/package/pull-from-source) [![Downloads](https://img.shields.io/npm/dt/pull-from-source.svg)](https://www.npmjs.com/package/pull-from-source) [![Get help on Codementor](https://cdn.codementor.io/badges/get_help_github.svg)](https://www.codementor.io/johnnyb?utm_source=github&utm_medium=button&utm_term=johnnyb&utm_campaign=github)

> Pulls the changes from the source repository in the forked one.

## :cloud: Installation

You can install the package globally and use it as command line tool:


```sh
$ npm i -g pull-from-source
```


Then, run `pull-from-source --help` and see what the CLI tool can do.


```
$ pull-from-source --help
Usage: pull-from-source [options]

Pulls the changes from the source repository in the forked one.

Options:
  -b, --branch <branch>  The branch name to pull from.
  -v, --version          Displays version information.
  -h, --help             Displays this help.

Examples:
  $ pull-from-source
  $ pull-from-source -b gh-pages

Documentation can be found at https://github.com/IonicaBizau/pull-from-source#readme.
```

## :clipboard: Example


Here is an example how to use this package as library. To install it locally, as library, you can do that using `npm`:

```sh
$ npm i --save pull-from-source
```



```js
const pullFromSource = require("pull-from-source");

pullFromSource("path/to/local/fork", {
    branch: "gh-pages"
}, function (err) {
    /* ... */
});
```

## :memo: Documentation

For full API reference, see the [DOCUMENTATION.md][docs] file.

## :yum: How to contribute
Have an idea? Found a bug? See [how to contribute][contributing].


## :scroll: License

[MIT][license] © [Ionică Bizău][website]

[paypal-donations]: https://www.paypal.com/cgi-bin/webscr?cmd=_s-xclick&hosted_button_id=RVXDDLKKLQRJW
[donate-now]: http://i.imgur.com/6cMbHOC.png

[license]: http://showalicense.com/?fullname=Ionic%C4%83%20Biz%C4%83u%20%3Cbizauionica%40gmail.com%3E%20(http%3A%2F%2Fionicabizau.net)&year=2016#license-mit
[website]: http://ionicabizau.net
[contributing]: /CONTRIBUTING.md
[docs]: /DOCUMENTATION.md
